<?php

class WSMarkController extends BaseController {

	/*
	|--------------------------------------------------------------------------
	| Default Home Controller
	|--------------------------------------------------------------------------
	|
	| You may wish to use controllers instead of, or in addition to, Closure
	| based routes. That's great! Here is an example controller method to
	| get you started. To route to this controller, just add the route:
	|
	|	Route::get('/', 'HomeController@showWelcome');
	|
	*/



   public function MarkEnryForm($course_id)
    {
    	try{
    	    
    	    $evaluator =  Session::get('Workshop');
            // $evaluator_id =  $evaluator["evaluator_id"];
            // var_dump($evaluator["evaluator_id"]);
            // exit;
                
    	    
    	   // $session = Sessions::getSession();
    	   // if(isset($session))
        //     {
    	        $course_id = base64_decode(str_replace(PHP_EOL, "", $course_id));
                // echo $course_id ;
        	    $results = Course::where('course_id',$course_id)->first();
        	    if(isset($results))
        	    {
        	     return View::make('workshop_marks.workshop_mark_entry')->with('evaluator',$evaluator)->with('results',$results)->with('course_id' ,$course_id);   
        	    }
        	    else {
        	        return "<h2 style='color:red'>Invalid URL" ;
        	    }
            // }
            // else 
            // {
            //     Session::flash('msg', AppMessage::$EndSession);
            //     return Redirect::to('msg');
            // }
    	}
    	 catch (Exception $e) {
            Log::error('WSMarkController - MarkEnryForm : '.$e->getMessage());
			Session::flash('msg', AppMessage::$GENERAL_ERROR);
           return $e;
        }
    }
    
    
    public function GetUserData($course_id)
    {
            $data=[];
    	try{
    	    $email = Input::get('email');
    	    $email = trim($email);
    	   // $users = User::where('email',$email)->first();
            $users = User::
                       leftjoin('mcq_users_courses','mcq_users_courses.user_id','=','mcq_users.user_id')
                       ->select('mcq_users.*','mcq_users_courses.workshop_mark','mcq_users_courses.workshop_remark')
                       ->where("mcq_users.email", "=", $email)
                       ->where("mcq_users_courses.course_id", "=", $course_id)
                       ->first();
            # if not already entered mark  then search user table           
            if(!isset($users))
            {
                $users = User::where('email',$email)->first();
                if(isset($users))
                {
                    $user_id   = $users->user_id;
            	    $full_name = $users->full_name;
            	    $mobile    = $users->mobile;
            	    $prefix    = $users->prefix;
            	    
            	    
            	    $workshop_mark   = '';
            	    $workshop_remark = '';
            	    $data = [ 'users' => $users, 'user_id' => $user_id,'full_name'=> $full_name, 'email' => $email,'mobile' => $mobile,'workshop_mark'=>$workshop_mark,'workshop_remark'=>$workshop_remark ];
                
                    $data = [ 'users' => $users, 'user_id' => $user_id,'full_name'=> $full_name, 'email' => $email,'mobile' => $mobile,'workshop_mark'=>$workshop_mark,'workshop_remark'=>$workshop_remark ];
                    return Response::json(array('data'=>$data,'status'=> 1 , 'msg' => "success")); 
                }
                else
                {
                    $data = [ 'users' => [], 'user_id' => '','full_name'=> '', 'email' => $email,'mobile' => '' ];
    	            return Response::json(array('data'=>$data,'status'=> 2 , 'msg' => "Email-id not registered with us .")); 
                    
                }
            }
            else  // suppose already entered mark then show in template
            {
                
                $evaluator =  Session::get('Workshop');
                $evaluator_id = $evaluator["evaluator_id"];
                
                $user_id   = $users->user_id;
        	    $full_name = $users->full_name;
        	    $mobile    = $users->mobile;
        	    $prefix    = $users->prefix;
        	    
        	    $workshop_mark   = $users->workshop_mark;
        	    $workshop_remark = $users->workshop_remark;
        	    $data = [ 'users' => $users, 'user_id' => $user_id,'full_name'=> $full_name, 'email' => $email,'mobile' => $mobile,'workshop_mark'=>$workshop_mark,'workshop_remark'=>$workshop_remark ];
               return Response::json(array('data'=>$data,'status'=> 1 , 'msg' => "success")); 
                
            }
    	   // if(isset($users))
    	   // {
    	   //    $data = [ 'users' => $users, 'user_id' => $user_id,'full_name'=> $full_name, 'email' => $email,'mobile' => $mobile,'workshop_marks'=>$workshop_marks,'viva_remarks'=>$viva_remarks ];
        //       return Response::json(array('data'=>$data,'status'=> 1 , 'msg' => "success")); 
    	   // }
    	   // else {
    	   //     $data = [ 'users' => [], 'user_id' => '','full_name'=> '', 'email' => $email,'mobile' => '' ];
    	   //     return Response::json(array('data'=>$data,'status'=> 2 , 'msg' => "Email-id not registered with us .")); 
    	   // }
    	}
    	 catch (Exception $e) {
    	     $data = [ 'users' => [], 'user_id' => '','full_name'=> '', 'email' => $email,'mobile' => '' ];
    	     return Response::json(array('data'=>data,'status'=> 401 , 'msg' => $e));
        }
    }
    
    public function SaveWorkshopMarks($course_id,$user_id)
    {
        
            $data=[];
    	try{
    	    
    	    $evaluator =  Session::get('Workshop');
            $evaluator_id = $evaluator["evaluator_id"];
    	    
    	    $mark    = Input::get('mark');
    	    $remark  = Input::get('remark');
    	    $user_course = MCQUsersCourses::where("course_id", "=", $course_id)->where("user_id",$user_id)->first();
    	   // $user_course = MCQUsersCourses::where('course_id',$course_id)->where('user_id','$user_id')->first();
    	    if(isset($user_course))
    	    {
    	        $mcq_uc_id   = $user_course->mcq_uc_id;
    	        $user_course->workshop_mark = $mark;
    	        $user_course->workshop_remark = $remark;
    	        $user_course->updated_at = date('Y-m-d H:i:s');
    	        $user_course->evaluator_id = $evaluator_id;
    	        $user_course->is_workshop = 1;
    	        $user_course->save();

    	       $data = [  'user_id' => $user_id];
               return Response::json(array('data'=>$data,'status'=> 1 , 'msg' => "success")); 
    	    }
    	    else {
    	        
    	        $user_course = new MCQUsersCourses; 
			        $user_course->user_id    = $user_id;
    				$user_course->course_id  = $course_id;
    				$user_course->workshop_mark = $mark;
    	            $user_course->workshop_remark = $remark;
    				$user_course->created_at = date('Y-m-d H:i:s');
    				$user_course->evaluator_id = $evaluator_id;
    				$user_course->is_workshop = 1;
    				$user_course->save();
    				
    	        $data = [ 'user_id' => $user_id];
    	        return Response::json(array('data'=>$data,'status'=> 1 , 'msg' => "success")); 
    	    }
    	}
    	 catch (Exception $e) {
    	     $data = [ 'user_id' => '' ];
    	     return Response::json(array('data'=>data,'status'=> 401 , 'msg' => $e));
        }
        
    }
    
    public function GetWorkshopMarkIndex($course_id)
    {
            $data=[];
    	try{
    	   // $email = Input::get('email');
    	   // $users = User::where('email',$email)->first();

    	   // $workshop_marks = MCQUsersCourses::
        //               leftjoin('mcq_users','mcq_users.user_id','=','mcq_users_courses.user_id')
        //               ->select('mcq_users_courses.*','mcq_users.full_name','mcq_users.email','mcq_users.mobile')
        //               ->where("mcq_users_courses.course_id", "=", $course_id)
        //               ->whereNotNull("mcq_users_courses.viva_marks")->get();
        
        
        
        $workshop_marks = MCQUsersCourses::
                       leftjoin('mcq_users','mcq_users.user_id','=','mcq_users_courses.user_id')
                       ->leftjoin('evaluators','evaluators.evaluator_id','=','mcq_users_courses.evaluator_id')
                       ->select('mcq_users_courses.*','mcq_users.full_name','mcq_users.email','mcq_users.mobile','evaluators.full_name as evaluator_name')
                       ->where("mcq_users_courses.course_id", "=", $course_id)
                       ->where("mcq_users_courses.is_workshop", "=", 1)
                       ->whereNotNull("mcq_users_courses.workshop_mark")->get();
                       
                       
                       
            // var_dump($workshop_marks);exit();               
                       
                     
    	   
    	      $html_data =  View::make('workshop_marks.workshop_mark_table')->with('workshop_marks',$workshop_marks)->render();
    	     
    	       $data = [ 'html_data' => $html_data];
    	     if(sizeof($workshop_marks) > 0)
    	    {    
               return Response::json(array('data'=>$data,'status'=> 1 , 'msg' => "success")); 
    	    }
    	    else {
    	       // $data = [ 'html_data' => ''];
               return Response::json(array('data'=>$data,'status'=> 2 , 'msg' => "Records are does not exist.")); 
    	    }
    	}
    	 catch (Exception $e) {
    	     $data = [ 'html_data' => ''];
    	     return Response::json(array('data'=>data,'status'=> 401 , 'msg' => $e));
        }
    }

    // ToDo:Change Course base64 
    public function LogoutWorkshopMarkPage($course_id)
    {
            Session::forget("Workshop");
    	    return Redirect::to("workshop_marks/".$course_id);
    }





}