<!DOCTYPE html>
<html>
<head>
	
	<meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">    
  <link rel="shortcut icon"  href="/static/images/front_logo.png">
	<title>course Time</title>
</head>
<body>
  <div class="container-fluid"> 
    <div class="row form-group mt-5">
      <!--start -->
      <div class="col-lg-4 col-md-4 col-sm-12"></div>
      <div class="col-lg-4 col-md-4 col-sm-12">
          <div class="row">
              <div class="col-lg-12 col-md-12 col-sm-12">


              <div class="card" style="border-color:#b1adad;">
                  <div class="card-body text-left">
                    <form  method="POST" action="{{url('course-time') }}"  id="reg">
                        
                        @if (Session::has('flash_message'))
                           <div class="alert alert-success">   
                              {{Session::get('flash_message')}}
                           </div>
                           @endif
                          <div class="text-center">
                          <h2>{{$results->course_name}}</h2>
                          </div><br>

                          <label>Start Time</label>
                          <input type="datetime-local" class="form-control  mb-3" id="course_start_at"  name="course_start_at" value="{{$results->course_start_at}}"  placeholder="start_time" required=""><br>

                          <label>End Time</label>
                         <input type="datetime-local" class="form-control  mb-3" id="course_end_at"  name="course_end_at" value="{{$results->course_end_at}}"  placeholder="end_time" required=""><br>
                          <div class="text-center">
                              <input type="hidden" id="course_id" name = "course_id" value="{{$course_id}}" />
                              
                              @if($is_update_btn == 1 )
                          <input type="submit" class="btn btn-success text-center" id="update" value="update">
                          @endif
                        </div>
                     </form>
                
                  </div>
              </div>
           </div>
         </div>
      </div>
      <div class="col-lg-4 col-md-4 col-sm-12"></div>

      <!-- end-->
      
    </div>
</div>
	
</body>


<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
       <script src="https://code.jquery.com/jquery-1.12.4.min.js" crossorigin="anonymous"></script>
       <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" crossorigin="anonymous"></script>
       <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js"  crossorigin="anonymous"></script>
       <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
       <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

</html>