@extends('layout')

@section('content')

<?php
  $session = Sessions::getSession();
?>

<!--<div class="row">-->
<!--    <div class="col-12 text-left">-->
<!--      <span class="h5 alert alert-warning" style="display: block;">Total Time Left : <span id="countdown"></span></span>-->
<!--    </div>-->
<!--  </div>-->

<div class="container justify-content-center mt-50 mb-50">
    <div class="row">
        <div class="col-md-12 text-right">
            <a href="" class="btn btn-sm btn-warning"><i class="fa fa-refresh mr-2"></i>Refresh</a>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
          @foreach($courses as $course)
          
@if(Helper::checkBetweenDatetimesFromCurrentDateTime($course->course_start_at,$course->course_end_at))
<script type="text/javascript">
    
    // var countDownDate = new Date({{ date('Y,m,d,H,i,s,u',strtotime($courses[0]->course_end_at)) }}).getTime();
    var countDownDate_{{$course->course_id}} = new Date({{  date('Y,m,d,H,i,s,u',strtotime("-1 months",strtotime($course->course_end_at))) }}).getTime();
    // alert(countDownDate);
    
     // Update the count down every 1 second
     var x_{{$course->course_id}} = setInterval(function() {
    
      // Get today's date and time
      var now_{{$course->course_id}} = new Date().getTime();
        
      // Find the distance between now and the count down date
      var distance_{{$course->course_id}} = countDownDate_{{$course->course_id}} - now_{{$course->course_id}};
      
      
        
      // Time calculations for days, hours, minutes and seconds
      var days_{{$course->course_id}} = Math.floor(distance_{{$course->course_id}} / (1000 * 60 * 60 * 24));
      var hours_{{$course->course_id}} = Math.floor((distance_{{$course->course_id}} % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
      var minutes_{{$course->course_id}} = Math.floor((distance_{{$course->course_id}} % (1000 * 60 * 60)) / (1000 * 60));
      var seconds_{{$course->course_id}} = Math.floor((distance_{{$course->course_id}} % (1000 * 60)) / 1000);
        
      hours_{{$course->course_id}} = hours_{{$course->course_id}}>9? hours_{{$course->course_id}}:"0"+hours_{{$course->course_id}};
      minutes_{{$course->course_id}} = minutes_{{$course->course_id}}>9? minutes_{{$course->course_id}}:"0"+minutes_{{$course->course_id}};
      seconds_{{$course->course_id}} = seconds_{{$course->course_id}}>9? seconds_{{$course->course_id}}:"0"+seconds_{{$course->course_id}};
      // Output the result in an element with id="demo"
      $(".countdown_{{$course->course_id}}").html(hours_{{$course->course_id}} + ":" + minutes_{{$course->course_id}} + ":" + seconds_{{$course->course_id}});
    //   document.getElementById("countdown").innerHTML =  hours + ":" + minutes + ":" + seconds;
      
        
      // If the count down is over, write some text 
      if (distance_{{$course->course_id}} < 0) {
        clearInterval(x_{{$course->course_id}});
        $(".countdown_{{$course->course_id}}").html("00:00:00");
        // document.getElementById("countdown").innerHTML = "00:00:00";
        location.reload();
      }
    }, 1000);
</script>
          
@endif          
          
            <div class="card  mt-3  blog-horizontal">
                <div class="card-body">
                    <div class="mb-3">
                        <!--<div class="row">-->
                        <!--    <div class="col-lg-4 col-sm-12 col-md-12 text-left">-->
                        <!--      <span class="h5  alert alert-warning pt-0 pb-0" style="display: block;">Total Time Left : <span id="countdown"></span></span>-->

                        <!--    </div>-->
                               
                            
                                <!--<div class="col-lg-4 col-sm-3 col-md-3 text-right">-->
                                <!--   <a href="" class="btn btn-sm btn-warning"><i class="fa fa-refresh mr-2"></i>Refresh</a>-->
                                <!--</div>-->
                        <!--  </div>-->
                        <div class="row" >
                            <div class="col-md-6 col-sm-12">
                                <h5 class="d-flex font-weight-semibold flex-nowrap my-1"> <span class="text-default mr-2" data-abc="true">{{ $course->course_name }}</span> </h5>
                            </div>
                            <div class="col-md-6 col-sm-12">
                                <h5 class="d-flex font-weight-semibold flex-nowrap my-1"> <span class="text-danger-400 ml-md-auto"><span class="h6">Completed </span>{{ $course->completed_count }} / {{ $course->course_question_limit }}</span> </h5>
                            </div>
                            
                        </div>
                        
                      <!--   <ul class="list-inline list-inline-dotted text-muted mb-0">
                            <li class="list-inline-item">By <a href="#" class="text-muted" data-abc="true">Timona Shai</a></li>
                            <li class="list-inline-item"> Nov 3rd, 2019</li>
                        </ul> -->
                    </div>
                    
                    <div class="row">
                        <div class="col-lg-8 col-sm-12 col-md-12 text-left">
                            <p >{{ $course->course_description }}</p>
                        </div>  
                        @if(Helper::checkBetweenDatetimesFromCurrentDateTime($course->course_start_at,$course->course_end_at))
                        <div class="col-lg-4 col-sm-12 col-md-12 text-center">
                            <span class="h5  alert alert-warning" style="display: block;padding: 5px 5px;">Total Time Left : <span  class ="countdown_{{$course->course_id}}"></span></span>
                        </div>
                        @endif
                    </div>
                    
                    <div class="row"style="display:none;" >
                        <div class="col-12 text-left my-2 p-2">
                            <a href="{{ url('mcq_exam_category/'.$session->session_id.'/'.$session->session_key.'/'.Helper::encrypt($course->course_id)) }}" target="_blank" class="btn btn-primary">Are you in "Non-Exam Category Delegate" ? If so, click here</a>
                      <!--<span>Do you belong to non-examination category ? <span class="text-danger">*</span></span>-->
                      <!--<span><input type="radio" id="Yes" name="is_non_exam_category"  class="ml-5 mr-1" value="1"  autofocus=""> Yes </span>-->
                      <!--<span><input type="radio" id="No" name="is_non_exam_category"  class="ml-5 mr-1" value="0" autofocus=""> No</span>-->
                      <!-- <span class="red"> {{ $errors->first('is_exam_category') }}</span>-->
                        </div>
                    </div>    

                    
                </div>
                <div class="card-footer d-sm-flex justify-content-sm-between align-items-sm-center">
                    <ul class="list-inline list-inline-dotted mb-0">
                        <li class="list-inline-item text-primary"><i class="fa fa-calendar-check-o mr-1"></i> {{ date('d-m-Y',strtotime($course->course_start_at)) }} </li>
                        <li class="list-inline-item text-primary"><i class="fa fa-clock-o mr-1"></i> {{ date('H:i ',strtotime($course->course_start_at)) }}  to  {{ date('H:i',strtotime($course->course_end_at)) }} </li>
                    </ul>
                    
                        @if(Helper::checkBetweenDatetimesFromCurrentDateTime($course->course_start_at,$course->course_end_at))
                            @if($course->course_question_limit==$course->completed_count)
                                    
                                <div class="mt-2 mt-sm-0 text-right"><a href="{{ url('user/question_index/'.Helper::encrypt($course->course_id)) }}" data-abc="true" class="btn btn-sm btn-warning"><i class="fa fa-check font-size-base mr-1"></i>Index</a> <a href="{{ url('mcq/'.Helper::encrypt($course->course_id)) }}" data-abc="true" class="btn btn-sm btn-success"><i class="fa fa-check font-size-base mr-1"></i> Completed</a> </div>
                            @elseif($course->completed_count == 0)
                            
                              <div class="mt-2 mt-sm-0 text-right"> <a href="{{ url('mcq/'.Helper::encrypt($course->course_id)) }}" data-abc="true" class="btn btn-sm btn-primary"><i class="fa fa-check fa-arrow-right mr-1"></i> Click here to Start</a> </div>
                            @else  
                                
                              <div class="mt-2 mt-sm-0 text-right"><a href="{{ url('user/question_index/'.Helper::encrypt($course->course_id)) }}" data-abc="true" class="btn btn-sm btn-warning"><i class="fa fa-check font-size-base mr-1"></i>Index</a> <a href="{{ url('mcq/'.Helper::encrypt($course->course_id)) }}?is_skips=1" data-abc="true" class="btn btn-sm btn-primary"><i class="fa fa-check fa-arrow-right mr-1"></i> Partially completed.  Click here to complete.</a> </div>  
                            @endif
                        @else
                            @if(!Helper::checkFromDatetimeGreaterThanCurrentDateTime($course->course_start_at))
                                <div class="mt-2 mt-sm-0 text-right"><span class="text-info"> <i class="fa fa-times font-size-base mr-1"></i> Session not Started </span></div>
                            @else
                                <div class="mt-2 mt-sm-0 text-right"><span class="text-danger"> <i class="fa fa-times font-size-base mr-1"></i> Session Closed </span></div>
                            <!-- <div class="mt-2 mt-sm-0 text-right"> <a href="{{ url('mcq/'.Helper::encrypt($course->course_id)) }}" data-abc="true" class="btn btn-primary"><i class="fa fa-times font-size-base mr-1"></i> Click here to Start</a> </div> -->
                            @endif
                        @endif

                </div>
            </div>
          @endforeach  
    </div>
</div>





@stop