<?php
  $session = Sessions::getSession();
?>

<!doctype html>
<html>
<head>

<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

@if(isset($session))
   <title>{{ $session->session_header }}</title>
@else
   <title>MCQ</title>
@endif

<link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">

<link href="{{ asset('css/style.css') }}" rel="stylesheet">
<link href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css" rel="stylesheet">


<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<script src="{{ asset('/js/jquery.min.js') }}"></script>

<script src="{{ asset('/js/popper.min.js') }}"></script>
<script src="{{ asset('/js/bootstrap.min.js') }}"></script>
<script src="{{ asset('/js/jquery.validate.js') }}"></script>




<style type="text/css">
  .logo
  {
    max-height: 100px;
  }
  
  @media only screen and (max-width: 600px) {
  .logo img
  {
    width : auto;  
    height: 50%;
  }
}
</style>

<script type="text/javascript">
  var baseUrl="{{ url('/') }}";
</script>
<noscript>
    <style type="text/css">
        .container {display:none;}
    </style>
    <div class="noscriptmsg">
      Poll works best with JavaScript enabled    
    </div>
</noscript>
</head>



<body>
  @if(isset($session))   
  <div class="container-fluid">
	 <!--<header >-->
  <!--  <div class="row mt-1">-->
  <!--    <div class="col-lg-6 col-sm-6 text-center text-md-left img-fluid logo "> <img src="{{ asset('images/iages_logo.png') }}" alt="Logo" width="75" height="auto" > </div>-->
  <!--    <div class="col-lg-6 col-sm-6 caption text-md-right text-center justify-content-center align-self-center">-->
  <!--        <h2 class="text-success">{{ $session->session_header  }}</h2>-->
  <!--    </div>-->
  <!--  </div>-->
  <!--</header>-->
  
  
  <header >
    <div class="row mt-1 justify-content-center align-self-center">
      <!--<div class="col-4 col-lg-6 col-sm-6 col-md-6 text-left img-fluid logo "> <img src="{{ asset('images/iages_logo.png') }}" alt="Logo" width="75" height="auto" > </div>-->
      <div class="col-10 col-lg-12 col-sm-12 col-md-12 caption text-right  " style="min-height:90px !important;background-color:#053366;color:white !important;">
          <h2 class="text-white pt-2">{{ $session->session_header  }}</h2>
      </div>
    </div>
  </header>

<hr class="mt-0" />
@if(Auth::check())
  <div class="row">
    <div class="col-lg-12 col-sm-12 text-right">
      <h5 class="pr-3">
      @if(isset(Auth::user()->full_name))
      {{ Auth::user()->prefix }} {{ Auth::user()->full_name }} | 
      <a href="{{ url('/'.$session->session_id.'/'.$session->session_key) }}">Home</a> |
      @endif
      
       <a href="{{ url('profile/'.$session->session_id.'/'.$session->session_key) }}">Profile</a> | <a href="{{ url('logout/'.$session->session_id.'/'.$session->session_key) }}">Logout</a></h5>
    </div>
  </div>
  @endif
</div>  
@endif
<div class="container content">
  <br/>
  <div class="row align-items-center">
    
      @if(Session::has('msgSuccess'))

                <div class="col-lg-12 col-md-12 col-sm-12">
                    <div class="alert alert-success" role="alert">
                     <a href="#" class="close" data-dismiss="alert">&times;</a>
                        <img src="{{asset('/images/success-icon.png')}}" > {{Session::get('msgSuccess') }}
                    </div>
                </div>

        @endif
        @if(Session::has('msgError'))
            <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="alert alert-danger" role="alert">
                 <a href="#" class="close" data-dismiss="alert">&times;</a>
                    {{Session::get('msgError') }}
                </div>
            </div>

    @endif
    <div class="col-lg-12 col-md-12 col-sm-12">
      @yield('content')
    </div>
    
  </div>
</div>

</div>
</body>
</html>