@extends('results/result_layout')
@section('content')
<!-- <h1>Home</h1> -->

 <div class="col-md-12 text-center">
    <h4> {{$course_name}}</h4>
 </div>
 
 
<div class="row">
     <div class="col-lg-12 col-md-12 col-sm-12 text-right mb-1" >
         <a href="{{URL::to('export_result/'.$course_id)}}" class="btn btn-info" title="Download Result">Download Result</a>
     </div>
</div>
<div class="mobile-responsive">
<table class="table table-striped"  cellpadding="6" border="3px solid black"  id="myTable">
   <thead class="thead-dark">
   <tr cellpadding="7" >
      <th>S.No</th>
      <th>Name</th>
      <th>Email</th>
      <th>Mobile</th>


      
      <th>Correct</th>
      <th>Wrong</th>
      <th>Skipped</th>
      <th>Total Question</th>
      
      <th>Total Mark</th>

   
   </tr>
   </thead>


  <tbody> 
       @if(isset($results))
            <?php $i=1;  $total_ques = 0 ;?>

            @foreach($results as $result)
              <?php $total_ques = $total_ques + $result->totalcorrect + $result->totalwrong + $result->totalSkipped; 
                $total_mark = $result->viva_marks + $result->totalcorrect + $result->workshop_mark;
              ?>
              
              
            <tr>
               <td data-label ="S.NO"> {{ $i }}</td>
               <td data-label = "Name">{{ $result->full_name}}</td>
               <td  data-label = "Email">{{ $result->email}}</td>
               <td data-label = "Mobile">{{$result->mobile}}</td>


               
               <td data-label = "Correct">{{$result->totalcorrect}}</td>
               <td data-label = "Wrong">{{$result->totalwrong}}</td>


               <td data-label = "Skipped">{{$result->totalSkipped}}</td>
               <td data-label = "Total">{{$total_ques}}</td>
               
               
               <td data-label = "Total Mark">{{$total_mark}}</td>
               
       
              
            </tr>
            <?php $i = $i+1 ; $total_ques = 0 ; ?>
            @endforeach
       @else     
       <tr>
          <td colspan="8" data-label =""> <span style="color: red;"> Record not found.</span></td>
       </tr>
       @endif
         </tbody>
   
   
</table>
</div>
<br/>


<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<script> 
   $(document).ready(function()
   {
       
        $('#myTable').dataTable({
        'iDisplayLength': 100
    });
      


   });
  

</script>


@stop
